Runtime

## org.eclipse.gmf.runtime.emf.type.core
Class AbstractElementTypeFactory

    java.lang.Object
      org.eclipse.gmf.runtime.emf.type.core.AbstractElementTypeFactory

All Implemented Interfaces:
  IElementTypeFactory

    public abstract class AbstractElementTypeFactory

extends java.lang.Object
implements IElementTypeFactory

Abstract implementation for element type factories. The methods in this factory throw `UnsupportedOperationException`. Element type factories can support either metamodel types or specialization types, or both. If a concrete factory is asked to create a kind of element type that is does not support, the exception will be thrown.

Constructor Summary
`AbstractElementTypeFactory()`

Method Summary
`IMetamodelType` `createMetamodelType(IMetamodelTypeDescriptor descriptor)` Creates the custom metamodel type.
`ISpecializationType` `createSpecializationType(ISpecializationTypeDescriptor descriptor)` Creates the custom specialization type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractElementTypeFactory

    public AbstractElementTypeFactory()

Method Detail

### createMetamodelType

    public IMetamodelType createMetamodelType(IMetamodelTypeDescriptor descriptor)

  Description copied from interface: `IElementTypeFactory`
  Creates the custom metamodel type.

  Specified by:
    `createMetamodelType` in interface `IElementTypeFactory`
  Parameters:
    `descriptor` - the metamodel type descriptor
  Returns:
    the custom metamodel type
  Throws:
    `java.lang.UnsupportedOperationException` - when metamodel types are not supported by this factory

### createSpecializationType

    public ISpecializationType createSpecializationType(ISpecializationTypeDescriptor descriptor)

  Description copied from interface: `IElementTypeFactory`
  Creates the custom specialization type.

  Specified by:
    `createSpecializationType` in interface `IElementTypeFactory`
  Parameters:
    `descriptor` - the specialization type descriptor
  Returns:
    the custom specialization type
  Throws:
    `java.lang.UnsupportedOperationException` - when specialization types are not supported by this factory

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.